Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.rules
Class JboValidatorContext

`java.lang.Object
oracle.jbo.rules.JboValidatorContext`

All Implemented Interfaces:
  MetaObjectBase

public class JboValidatorContext
extends java.lang.Object
implements MetaObjectBase

A "PropertyChange" event gets delivered whenever a bean changes a "bound" or "constrained" property. A JboValidatorContext object is sent as an argument to the PropertyChangeListener and VetoableChangeListener methods.

Normally JboValidatorContexts are accompanied by the name and the old and new value of the changed property. If the new value is a builtin type (such as int or boolean) it must be wrapped as the corresponding java.lang.* Object type (such as Integer or Boolean).

Null values may be provided for the old and the new values if their true values are not known.

An event source may send a null object as the name to indicate that an arbitrary set of if its properties have changed. In this case the old and new values should also be null.

Field Summary

Fields inherited from interface oracle.jbo.common.MetaObjectBase
`TYP_APP_MODULE, TYP_ATTRIBUTE, TYP_ATTRIBUTE_LIST_WITH_DEF, TYP_COMPONENT_OBJECT, TYP_DEF_ANY, TYP_DEF_APP_MODULE, TYP_DEF_ATTRIBUTE, TYP_DEF_COMPONENT_OBJECT, TYP_DEF_DOMAIN, TYP_DEF_ENTITY_ASSOC, TYP_DEF_ENTITY_OBJECT, TYP_DEF_PACKAGE, TYP_DEF_VIEW_LINK, TYP_DEF_VIEW_OBJECT, TYP_DOMAIN, TYP_ENTITY_ASSOC, TYP_ENTITY_OBJECT, TYP_ENTITY_ROW, TYP_ENTITY_ROW_SET, TYP_ENTITY_ROW_SET_ITERATOR, TYP_ENTITY_USAGE, TYP_PACKAGE, TYP_TRANSACTION, TYP_VALIDATOR_TYPE, TYP_VARIABLE, TYP_VARIABLE_WHERE_CLAUSE, TYP_VIEW_CRITERIA, TYP_VIEW_LINK, TYP_VIEW_OBJECT, TYP_VIEW_ROW, TYP_VIEW_ROW_SET, TYP_VIEW_ROW_SET_ITERATOR`

Constructor Summary
`JboValidatorContext(int sourceType, java.lang.Object source, java.lang.String sourceFullName, AttributeDef attribute, java.lang.Object oldValue, java.lang.Object newValue)`

Method Summary
`AttributeDef` | `getAttributeDef()`
`Row` | `getAttributeList()`
`java.lang.String` | `getAttributeName()`
`java.lang.Object` | `getNewValue()`
`java.lang.Object` | `getOldValue()`
`java.lang.Object` | `getSource()` AttributeList Object that is being validated.
`java.lang.String` | `getSourceFullName()`
`Row` | `getSourceRow()`
`int` | `getSourceType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JboValidatorContext

    public JboValidatorContext(int sourceType,
                               java.lang.Object source,
                               java.lang.String sourceFullName,
                               AttributeDef attribute,
                               java.lang.Object oldValue,
                               java.lang.Object newValue)

Parameters:
  `source` - The bean that fired the event.
  `attribute` - The property that was changed.
  `oldValue` - The old value of the property.
  `newValue` - The new value of the property.

Method Detail

### getSource

    public java.lang.Object getSource()

  AttributeList Object that is being validated.

### getAttributeList

    public Row getAttributeList()

### getSourceRow

    public Row getSourceRow()

### getAttributeName

    public java.lang.String getAttributeName()

  Returns:
    The programmatic name of the property that was changed. May be null if multiple properties have changed.

### getAttributeDef

    public AttributeDef getAttributeDef()

### getNewValue

    public java.lang.Object getNewValue()

  Returns:
    The new value for the property, expressed as an Object. May be null if multiple properties have changed.

### getOldValue

    public java.lang.Object getOldValue()

  Returns:
    The old value for the property, expressed as an Object. May be null if multiple properties have changed.

### getSourceFullName

    public java.lang.String getSourceFullName()

### getSourceType

    public int getSourceType()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.